Bug 1126145 - rake db:seed failure on creating organization
Summary: rake db:seed failure on creating organization
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1125241
Blocks: 1117952
TreeView+ depends on / blocked
 
Reported: 2014-08-02 15:39 UTC by Brad Buckingham
Modified: 2017-02-23 21:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:12:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6891 None None None 2016-04-22 15:37:38 UTC

Description Brad Buckingham 2014-08-02 15:39:15 UTC
If a user changes the name of the default organization (e.g. SEED_ORGANIZATION=myorg) and then runs 'rake db:seed', the seed will fail.  It appears that the seed needs to set a current user in order to support creating the organization.

The error will look similar to:
<pre>
$ rake db:seed
[deprecated] I18n.enforce_available_locales will default to true in the future. If you really want to skip validation of your locale you can set I18n.enforce_available_locales = false to avoid this message.
Seeding /home/bbucking/github/foreman/db/seeds.d/03-auth_sources.rb
Seeding /home/bbucking/github/foreman/db/seeds.d/04-admin.rb
Seeding /home/bbucking/github/foreman/db/seeds.d/05-taxonomies.rb
rake aborted!
NoMethodError: undefined method `admin' for nil:NilClass
/home/bbucking/github/foreman/app/models/taxonomy.rb:154:in `assign_taxonomy_to_user'
/home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:439:in `_run__793302873426636606__create__1603672517052670112__callbacks'
/home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405:in `__run_callback'
</pre>

Comment 1 Brad Buckingham 2014-08-02 15:39:18 UTC
Created from redmine issue http://projects.theforeman.org/issues/6891

Comment 3 Bryan Kearney 2014-08-07 10:04:28 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6891 has been closed
-------------
Eric Helms
Applied in changeset commit:57b6f858530ed9863d4e52238b7ebd1722d79333.

Comment 6 jcallaha 2015-02-13 19:39:09 UTC
Verified.

Version Tested:
Satellite-6.1.0-RHEL-6-20150210.0
Satellite-6.1.0-RHEL-7-20150210.0

Comment 7 Bryan Kearney 2015-08-11 13:30:56 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:12:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.